summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jan F. Chadima2019-09-28 04:23:06 +0200
committer Willy Sudiarto Raharjo2019-09-28 04:23:06 +0200
commite6c2300e8d9214048a890174a3bef42e5d65e8f6 (patch)
tree8287e26016b79d46489cddb75216425a9eee4585
parent175fdc86421e8acb09b15aa48ee788a63e36b9d8 (diff)
downloadslackbuilds-e6c2300e8d9214048a890174a3bef42e5d65e8f6.tar.gz
perl/perl-Test-Object: Added (Test objects for Perl 5).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--perl/perl-Test-Object/README3
-rw-r--r--perl/perl-Test-Object/perl-Test-Object.SlackBuild82
-rw-r--r--perl/perl-Test-Object/perl-Test-Object.info10
-rw-r--r--perl/perl-Test-Object/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/perl/perl-Test-Object/README b/perl/perl-Test-Object/README
new file mode 100644
index 0000000000..5c0b6d771a
--- /dev/null
+++ b/perl/perl-Test-Object/README
@@ -0,0 +1,3 @@
+Test::Object is an extension of the Perl 5 object system.
+
+It thoroughly tests objects via registered handlers.
diff --git a/perl/perl-Test-Object/perl-Test-Object.SlackBuild b/perl/perl-Test-Object/perl-Test-Object.SlackBuild
new file mode 100644
index 0000000000..73d2c509b8
--- /dev/null
+++ b/perl/perl-Test-Object/perl-Test-Object.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for perl-Test-Object
+
+# Copyright 2019 Jan F. Chadima <jfch@jagda.eu>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Test-Object
+VERSION=${VERSION:-0.08}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING Changes* LICENSE README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Test-Object/perl-Test-Object.info b/perl/perl-Test-Object/perl-Test-Object.info
new file mode 100644
index 0000000000..805a27ff1a
--- /dev/null
+++ b/perl/perl-Test-Object/perl-Test-Object.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Test-Object"
+VERSION="0.08"
+HOMEPAGE="https://metacpan.org/pod/Test::Object"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/E/ET/ETHER/TestObject-0.08.tar.gz"
+MD5SUM="c0acca45775a6f6bbe121307533ccf3d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Test-Simple"
+MAINTAINER="Jan F. Chadima"
+EMAIL="jfch@jagda.eu"
diff --git a/perl/perl-Test-Object/slack-desc b/perl/perl-Test-Object/slack-desc
new file mode 100644
index 0000000000..e5aaccda9a
--- /dev/null
+++ b/perl/perl-Test-Object/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Test-Object: perl-Test-Object (Test objects for Perl 5)
+perl-Test-Object:
+perl-Test-Object: This module thoroughly tests objects via registered handlers.
+perl-Test-Object:
+perl-Test-Object: Homepage: https://metacpan.org/pod/Test::Object
+perl-Test-Object:
+perl-Test-Object:
+perl-Test-Object:
+perl-Test-Object:
+perl-Test-Object:
+perl-Test-Object: